libqt5gui5-5.2.0-2.5.mga4.i586.rpm


Advertisement

Description

libqt5gui5 - Qt5 Component Library

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates i586
Package name libqt5gui5
Package version 5.2.0
Package release 2.5.mga4
Package architecture i586
Package type rpm
Installed size 5.65 MB
Download size 1.70 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Qt5 Component Library.
The QtGui module extends QtCore with GUI functionality.

Alternatives

Package Version Architecture Repository
libqt5gui5-5.2.0-2.4.mga4.i586.rpm 5.2.0 i586 Mageia Core Updates
libqt5gui5-5.2.0-2.3.mga4.i586.rpm 5.2.0 i586 Mageia Core Updates
libqt5gui5-5.2.0-2.mga4.i586.rpm 5.2.0 i586 Mageia Core
libqt5gui5 - - -

Requires

Name Value
libGL.so.1 -
libQt5Core.so.5 -
libQt5DBus.so.5 -
libQt5Gui.so.5 -
libX11-xcb.so.1 -
libX11.so.6 -
libXi.so.6 -
libXrender.so.1 -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.11) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libfontconfig.so.1 -
libfreetype.so.6 -
libgcc_s.so.1 -
libgcc_s.so.1(GLIBC_2.0) -
libgdk-x11-2.0.so.0 -
libglib-2.0.so.0 -
libgobject-2.0.so.0 -
libgtk-x11-2.0.so.0 -
libjpeg.so.8 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libpango-1.0.so.0 -
libpng16.so.16 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -
libstdc++.so.6 -
libstdc++.so.6(GLIBCXX_3.4) -
libudev.so.1 -
libxcb-glx.so.0 -
libxcb-icccm.so.4 -
libxcb-image.so.0 -
libxcb-randr.so.0 -
libxcb-render-util.so.0 -
libxcb-render.so.0 -
libxcb-shape.so.0 -
libxcb-shm.so.0 -
libxcb-sync.so.0 -
libxcb-xfixes.so.0 -
libxcb-xkb.so.0 -
libxcb.so.1 -
libxkbcommon.so.0 -
libz.so.1 -
qtbase5-common == 5.2.0

Provides

Name Value
libQt5Gui.so.5 -
libcomposeplatforminputcontextplugin.so -
libibusplatforminputcontextplugin.so -
libqgif.so -
libqgtk2.so -
libqico.so -
libqjpeg.so -
libqlinuxfb.so -
libqminimal.so -
libqoffscreen.so -
libqt5gui5 == 5.2.0-2.5.mga4
libqt5gui5(x86-32) == 5.2.0-2.5.mga4
libqxcb.so -

Download

Type URL
Binary Package libqt5gui5-5.2.0-2.5.mga4.i586.rpm
Source Package qtbase5-5.2.0-2.5.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libqt5gui5 rpm package:
    # urpmi libqt5gui5

Files

Path
/usr/lib/libQt5Gui.so.5
/usr/lib/libQt5Gui.so.5.2
/usr/lib/libQt5Gui.so.5.2.0
/usr/lib/qt5/plugins/imageformats/libqgif.so
/usr/lib/qt5/plugins/imageformats/libqico.so
/usr/lib/qt5/plugins/imageformats/libqjpeg.so
/usr/lib/qt5/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so
/usr/lib/qt5/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so
/usr/lib/qt5/plugins/platforms/libqlinuxfb.so
/usr/lib/qt5/plugins/platforms/libqminimal.so
/usr/lib/qt5/plugins/platforms/libqoffscreen.so
/usr/lib/qt5/plugins/platforms/libqxcb.so
/usr/lib/qt5/plugins/platformthemes/libqgtk2.so

Changelog

2015-04-22 - luigiwalser <luigiwalser> 5.2.0-2.5.mga4
+ Revision: 820559
- add patches from fedora to fix CVE-2015-1858, CVE-2015-1859, and CVE-2015-1860
- add patch from upstream via fedora to fix CVE-2014-0190
+ lmenut <lmenut>
- add upstream patch to fix DoS vulnerability in the BMP image handler
(CVE-2015-0295) mga#15383
+ neoclust <neoclust>
- Fix previous commit by moving requires in the good package
- Fix Requires in qtsql5-devel
2013-12-14 - fwang <fwang> 5.2.0-2.mga4
+ Revision: 556694
- 5.2.0 final
2013-12-01 - fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554396
- 5.2.0 rc1
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547083
- use xkbcommon instead
- br xcb-xkb
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547072
- 5.2.0 beta1
2013-10-21 - umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538802
- Mageia 4 Mass Rebuild
2013-10-02 - neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490404
- New version 5.2.0 alpha
2013-09-26 - fwang <fwang> 5.2.0-0.0.20130523.9.mga4
+ Revision: 486794
- rebuild for icu 52
2013-08-10 - wally <wally> 5.2.0-0.0.20130523.8.mga4
+ Revision: 465090
- add more cmake fixes (rediff patch)
2013-08-10 - neoclust <neoclust> 5.2.0-0.0.20130523.7.mga4
+ Revision: 465081
- Add fedora patch to fix cmake path search

See Also

Package Description
libqt5network-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtNetwork
libqt5network-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtNetwork
libqt5network-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtNetwork
libqt5network-private-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtNetwork
libqt5network-private-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtNetwork
libqt5network-private-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtNetwork
libqt5network5-5.2.0-2.3.mga4.i586.rpm Qt5 Component Library
libqt5network5-5.2.0-2.4.mga4.i586.rpm Qt5 Component Library
libqt5network5-5.2.0-2.5.mga4.i586.rpm Qt5 Component Library
libqt5opengl-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtContacts
libqt5opengl-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtContacts
libqt5opengl-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtContacts
libqt5opengl-private-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtContacts
libqt5opengl-private-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtContacts
libqt5opengl-private-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtContacts
Advertisement
Advertisement